Bug 200091 - [MAINTAINER] mail/rainloop: Update to 1.9.0
Summary: [MAINTAINER] mail/rainloop: Update to 1.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-05-10 09:44 UTC by Bernard Spil
Modified: 2015-07-06 21:00 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
svn diff for mail/rainloop (44.77 KB, patch)
2015-05-10 09:44 UTC, Bernard Spil
no flags Details | Diff
Poudriere testport of mail/rainloop 1.9.0 (14.93 KB, text/plain)
2015-05-10 09:44 UTC, Bernard Spil
no flags Details
svn diff for mail/rainloop (45.11 KB, patch)
2015-05-13 10:04 UTC, Bernard Spil
no flags Details | Diff
shar file for new slave port mail/rainloop-community (83.25 KB, text/plain)
2015-05-13 10:05 UTC, Bernard Spil
no flags Details
svn diff for mail/rainloop (45.88 KB, patch)
2015-05-13 13:15 UTC, Bernard Spil
koobs: maintainer-approval+
Details | Diff
shar file for new slave port mail/rainloop-community (83.24 KB, text/plain)
2015-05-13 13:15 UTC, Bernard Spil
koobs: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-05-10 09:44:03 UTC
Created attachment 156592 [details]
svn diff for mail/rainloop

Update rainloop to 1.9.0
Order PHP modules
Comment 1 Bernard Spil freebsd_committer 2015-05-10 09:44:53 UTC
Created attachment 156593 [details]
Poudriere testport of mail/rainloop 1.9.0
Comment 2 loic.blot 2015-05-11 08:16:10 UTC
Okay for me for the patch.

The only remaining question is: this 1.9.0 introduce two rainloop packages, one is CC and one is AGPLv3. I think we should switch to AGPLv3 version, the package isn't named rainloop-latest but rainloop-community-latest.

What do you think about it ?
Comment 3 Bernard Spil freebsd_committer 2015-05-11 08:43:31 UTC
Looking at http://www.rainloop.net/purchase/ I'd say we should add a 
LEGAL_TEXT=Commercial use is prohibited
to this port and create a mail/rainloop-community AGPL3 version port otherwise we'd be in trouble with the packages.

Will ask on irc for direction.
Comment 4 Bernard Spil freebsd_committer 2015-05-13 10:04:46 UTC
Created attachment 156746 [details]
svn diff for mail/rainloop

Includes mail/Makefile patch
Makes it the master port for mail/rainloop-community (see att shar)

Please verify both ports...
Comment 5 Bernard Spil freebsd_committer 2015-05-13 10:05:22 UTC
Created attachment 156747 [details]
shar file for new slave port mail/rainloop-community
Comment 6 Bernard Spil freebsd_committer 2015-05-13 13:15:35 UTC
Created attachment 156750 [details]
svn diff for mail/rainloop

Just when you're done, you see a new build. 
 - New patches update to 1.9.0 build 327
 - Update to OPTIONS_USE helpers
 - Pet portlint
Comment 7 Bernard Spil freebsd_committer 2015-05-13 13:15:56 UTC
Created attachment 156751 [details]
shar file for new slave port mail/rainloop-community
Comment 8 loic.blot 2015-05-26 07:11:51 UTC
Seems good to me
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-26 10:05:11 UTC
Reporter is committer, assign accordingly.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-26 10:07:11 UTC
Maintainer, please set maintainer-approval for each of the attachments, or if you cannot do so, just mention "attachment <id> approved" in a comment for those that you approve.
Comment 11 loic.blot 2015-05-26 10:15:05 UTC
attachment 156750 [details] approved
attachment 156751 [details] approved
Comment 12 Kurt Jaeger freebsd_committer 2015-07-06 10:35:26 UTC
Build-Tests on 10.1 (i/a) and 9.3a went fine for both the updated version
and the slave port.
Comment 13 Bernard Spil freebsd_committer 2015-07-06 14:27:24 UTC
Meanwhile later versions have appeared. Should I update the port to latest upstream?
Comment 14 loic.blot 2015-07-06 14:31:32 UTC
I thinks this is a good idea and we should push those new version faster, we are a little bit late :)
Comment 15 Kurt Jaeger freebsd_committer 2015-07-06 14:46:22 UTC
Indeed. 1.9.2 was published. I upgraded my working copy, build-tests @work.
Comment 16 Kurt Jaeger freebsd_committer 2015-07-06 14:47:09 UTC
Can you provide a changelog or a link to a changelog since 1.8.x ?
Comment 17 loic.blot 2015-07-06 14:48:06 UTC
http://www.rainloop.net/changelog/
Comment 18 Kurt Jaeger freebsd_committer 2015-07-06 14:50:29 UTC
build-tests on 10.1 i/a, 9.3a went fine.
Comment 19 commit-hook freebsd_committer 2015-07-06 17:24:19 UTC
A commit references this bug:

Author: pi
Date: Mon Jul  6 17:24:12 UTC 2015
New revision: 391428
URL: https://svnweb.freebsd.org/changeset/ports/391428

Log:
  mail/rainloop: Upgrade 1.8.2 -> 1.9.2
  mail/rainloop-community: new slave port, community edition

  rainloop is a modern and interactive webmail.

  Changelog since 1.8.2:
  http://www.rainloop.net/changelog/

  PR:		200091
  Submitted by:	brnrd
  Approved by:	loic.blot@unix-experience.fr (maintainer)

Changes:
  head/mail/Makefile
  head/mail/rainloop/Makefile
  head/mail/rainloop/distinfo
  head/mail/rainloop/pkg-plist
  head/mail/rainloop-community/
  head/mail/rainloop-community/Makefile
  head/mail/rainloop-community/distinfo
  head/mail/rainloop-community/pkg-descr
  head/mail/rainloop-community/pkg-plist
Comment 20 Kurt Jaeger freebsd_committer 2015-07-06 17:40:26 UTC
Committed, thanks!
Comment 21 commit-hook freebsd_committer 2015-07-06 21:00:55 UTC
A commit references this bug:

Author: pi
Date: Mon Jul  6 21:00:34 UTC 2015
New revision: 391479
URL: https://svnweb.freebsd.org/changeset/ports/391479

Log:
  mail/rainloop: fix typo in PGSQL_USE

  PR:		200091

Changes:
  head/mail/rainloop/Makefile